Finalize detection alert migrations

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/finalize_migration
  • POST /s/{space_id}/api/detection_engine/signals/finalize_migration
Auth Deprecated

DEPRECATED. Completes a legacy alert index migration. Do not automate against this in new code. WARNING: Finalizing swaps read aliases; confirm the migration has finished successfully before calling.

Finalize successful migrations of detection alerts. This replaces the original index's alias with the successfully migrated index's alias. The endpoint is idempotent, so you can poll until a migration finishes and then call this operation once.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Array of migration_ids to finalize

migration_ids string[] · min items: 1 required

Array of migration_ids to finalize.

Responses

Successful response

application/json
<array> object[]
completed boolean required
destinationIndex string required
error object
message string required
status_code integer required
id string required
sourceIndex string required
status enum required
Values: success failure pending
updated string · format: date-time required
version string required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}